#
# spec file for package ibp
#
# Copyright (c) 2023 SUSE LLC
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:          ibp
Version:       0.21
Release:       lp155.7.1
Summary:       Monitoring the International Beacon Project
License:       GPL-2.0
Group:         Productivity/Hamradio/Other
URL:           https://www.pa3fwm.nl/software/ibp/
Source:        https://www.pa3fwm.nl/software/ibp/%{name}-%{version}.tgz
Patch0:        %{name}-%{version}.dif
BuildRequires: ncurses-devel 
%if 0%{?suse_version} <= 1500
BuildRequires: xorg-x11-devel
%else
BuildRequires: libX11-devel
BuildRequires: imake
%endif

%description
This program continuously shows which beacon of the International
Beacon Project (on the HF bands from 14 through 28 MHz) is currently
transmitting. On X11 systems, it can also show a sunclock-like map with
the short and long paths to the active beacons.

Authors:
--------
    Pieter-Tjerk de Boer, PA3FWM <pa3fwm@amsat.org>

%prep
%setup -q
%patch0

%build
xmkmf
export CFLAGS="$RPM_OPT_FLAGS"
%make_build

%install
#[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
%make_install

mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 ibp.1 %{buildroot}%{_mandir}/man1/

%files
%license COPYING
%doc README.SUSE
%{_bindir}/%{name}
%{_mandir}/man1/ibp.1.gz

%changelog
* Thu Jun 29 2023 Wojciech Kazubski <wk@ire.pw.edu.pl>
- Fix build for Tumbleweed and Factory
- Specfile updated to current standard
* Thu Jun  7 2012 dl8fcl@darc.de
- fix for openSUSE_12.2, License tag updated
* Tue Feb 22 2011 dl8fcl@darc.de
- fix for 11.4
* Sun Jun  1 2008 dg7gt@online.de
- expansion error fixes for openSUSE 11
* Thu Feb 22 2007 dl9pf@gmx.de
- import into buildservice
* Sat Dec 16 2006 dg7gt@online.de
- updated to version 0.21
* Sun Jan 11 2004 adrian@suse.de
- fix build as user
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Mon Jun 25 2001 jreuter@suse.de
- GCC 3.0 defines printf() as a macro. Great.
  Splitted one large printf() into multiple smaller to let it compile
  again with gcc 3.0
* Mon Jun 25 2001 jreuter@suse.de
- fixed Imakefile
* Fri Jan  5 2001 ka@suse.de
- initial release 0.20
